## darnwdl 0.8

=== src/jni/Makefile ===

CXX ?= g++
JAVA_HOME ?= /usr/lib/jvm/default-java

all: libdarnwdldynamite.so

org_debian_paulliu_darnwdl_jni_DynamiteJNI.h: ../org/debian/paulliu/darnwdl/jni/DynamiteJNI.java
	javac -h . $<
	rm -f ../org/debian/paulliu/darnwdl/jni/DynamiteJNI.class

org_debian_paulliu_darnwdl_jni_DynamiteJNI.o: org_debian_paulliu_darnwdl_jni_DynamiteJNI.cc org_debian_paulliu_darnwdl_jni_DynamiteJNI.h
	$(CXX) $(CXXFLAGS) -c -Wall -fPIC -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux -o $@ $<

libdarnwdldynamite.so: org_debian_paulliu_darnwdl_jni_DynamiteJNI.o
	$(CXX) $(CXXFLAGS) -shared -fPIC -o $@ $< -ldynamite

clean:
	rm -f org_debian_paulliu_darnwdl_jni_DynamiteJNI.h
	rm -f org_debian_paulliu_darnwdl_jni_DynamiteJNI.o
	rm -f libdarnwdldynamite.so

## darnwdl 0.5

=== debian/changelog ===
darnwdl (0.5-2build2) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 15:11:14 -0500

darnwdl (0.5-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:42 +0000

darnwdl (0.5-2) unstable; urgency=low

  * Build-Depends: libjpeg62-dev -> libjpeg-dev (Closes: #641108)
  * Bump Standards-Version to 3.9.2: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 17 Sep 2011 22:06:22 +0800

darnwdl (0.5-1) unstable; urgency=low

  * Initial release (Closes: #615164)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Mar 2011 15:29:28 +0800

=== debian/control ===
Source: darnwdl
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgtk2.0-dev,
               libdynamite-dev, libjpeg-dev, xsltproc, docbook-xsl,
               imagemagick, librsvg2-bin
Standards-Version: 3.9.2
Homepage: http://www.openfoundry.org/of/projects/753

Package: darnwdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WDL document format viewer
 WDL is a document format used by Taiwan government. darnwdl is a viewer for
 WDL files. Due to the format spec is not open, darnwdl is based on reverse
 engineering.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%:
	dh $@ 

darnwdl.1: debian/darnwdl.xml
	$(XP) $(DB2MAN) $<

darnwdlicon.xpm: pixmaps/darnwdlicon.svg
	convert -background transparent $< $@

override_dh_auto_build: darnwdl.1 darnwdlicon.xpm
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/darnwdl/usr/bin/wdl2txt \
	   $(CURDIR)/debian/darnwdl/usr/bin/wdldec \
	   $(CURDIR)/debian/darnwdl/usr/bin/wdlpass2 \
	   $(CURDIR)/debian/darnwdl/usr/lib/darnwdl

## darnwdl 0.8

=== debian/changelog ===
darnwdl (0.8-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:45:46 +0200

darnwdl (0.8-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 08 Dec 2023 13:14:34 +0800

darnwdl (0.7-1) unstable; urgency=low

  * New upstream release.
    - Upstream ported to Java. We don't use GTK2 anymore (Closes: #967301)
    - Ported to Java so that Gnome is not needed either (Closes: #830042)
  * Move Project Homepage to Github from openfoundry. (Closes: #977212)
    - Update debian/control, debian/watch, debian/copyright
  * Bump debhelper version to 12.
    - Remove debian/compat and use debhelper-compat

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 06 Dec 2023 13:52:29 +0800

=== debian/control ===
Source: darnwdl
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: ant,
               ant-optional,
               debhelper-compat (= 12),
               default-jdk,
               dh-exec,
               docbook-xsl,
               imagemagick,
               javahelper,
               junit5,
               libbatik-java,
               libdynamite-dev,
               libjaxp1.3-java,
               librsvg2-bin,
               xsltproc
Standards-Version: 3.9.2
Homepage: https://github.com/grandpaul/darnwdl/

Package: darnwdl
Architecture: all
Depends: default-jre | java-runtime | java2-runtime,
         libdarnwdl-jni,
         ${java:Depends},
         ${misc:Depends}
Description: WDL document format viewer
 WDL is a document format used by Taiwan government. darnwdl is a viewer for
 WDL files. Due to the format spec is not open, darnwdl is based on reverse
 engineering.

Package: libdarnwdl-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Java JNI for WDL document format viewer
 WDL is a document format used by Taiwan government. darnwdl is a viewer for
 WDL files. Due to the format spec is not open, darnwdl is based on reverse
 engineering.
 .
 This package contains the JNI that is needed to run darnwdl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%:
	dh $@ --with javahelper

darnwdl.1: debian/darnwdl.xml
	$(XP) $(DB2MAN) $<

darnwdlicon.xpm: pixmaps/darnwdlicon.svg
	convert -background transparent $< $@

override_dh_autoreconf:
	# We don't need to build gtk version anymore

override_dh_auto_build: darnwdl.1 darnwdlicon.xpm
	dh_auto_build
	dh_auto_build --sourcedir=$(CURDIR)/src/jni

override_dh_auto_test:
	dh_auto_test
	ant test

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_build --sourcedir=$(CURDIR)/src/jni

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/grandpaul/darnwdl/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
